Package org.pentaho.reporting.libraries.resourceloader.cache

# Interface ResourceDataCache

All Known Implementing Classes:
  `EHResourceDataCache`, `NullResourceDataCache`

public interface ResourceDataCache
Creation-Date: 06.04.2006, 09:30:28

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Remove all cached entries.
`ResourceDataCacheEntry`
`get(ResourceKey key)`
Retrieves the given data from the cache.
`ResourceData`
`put(ResourceManager caller, ResourceData data)`
Stores the given data on the cache.
`void`
`remove(ResourceData data)`
`void`
`shutdown()`

## Method Details

### get

ResourceDataCacheEntry get(ResourceKey key)
Retrieves the given data from the cache.

Parameters:
  `key` - the resource key for the data.

### put

ResourceData put(ResourceManager caller, ResourceData data) throws ResourceLoadingException
Stores the given data on the cache. The data is registered by its primary key. The cache has to store the current version of the data.

Parameters:
  `data` - the data to be stored in the cache
Returns:
  the resource data object, possibly wrapped by a cache-specific implementation.
Throws:
  `ResourceLoadingException`

### remove

void remove(ResourceData data)

### clear

void clear()
Remove all cached entries. This should be called after the cache has become invalid or after it has been removed from a resource manager.

### shutdown

void shutdown()